# 32/64-bit spec-file
#
Summary:	Desktop full text search tool with a Qt gui
Name:           recoll
Version:        1.19.14p2
Release:        %mkrel 1
License:	GPLv2+
Group:          Databases
URL:            http://www.recoll.org/
Source0:	http://www.lesbonscomptes.com/recoll/%{name}-%{version}.tar.xz
Patch1:		recoll-1.14.3-fix-link.patch
BuildRequires:	%{_lib}xapian22-devel >= 1.0.5
BuildRequires:	%{_lib}gamin-1_0-devel
BuildRequires:	%{_lib}qt4-devel
BuildRequires:	%{_lib}aspell-devel
BuildRequires:	python-devel
BuildRequires:	kdelibs-devel
Requires:	xapian
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
Obsoletes: 	%{name} < %version

%description
Recoll is a personal full text search tool for Unix/Linux.
It is based on the very strong Xapian backend, for which 
it provides an easy to use, feature-rich, easy administration, 
QT graphical interface.

%package -n kio-%{name}
Summary:	Kioslave for %{name}
Group:		Graphical desktop/KDE4
BuildRequires:	cmake
BuildRequires:	kdelibs-devel
Requires:	%{name} = %{version}-%{release}

%description -n kio-%{name}
Kioslave for %{name} . Enables to perform querries and extract 
results in konqueror and dolphin.


%prep
%setup -q

%build
[ -n "$QTDIR" ] || . %{_sysconfdir}/profile.d/60qt4.sh
%configure2_5x
%make 

%install
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%makeinstall_std

# Remove library to avoid dynamic linkinkg
# when compiling kio recoll.
# The linking made kio recoll non functional
%__rm -f lib/librecoll.so*

pushd kde/kioslave/kio_recoll
%cmake_kde4
%make
%makeinstall_std
popd

desktop-file-install --vendor="" \
  --remove-category="Application" \
  --add-category="X-MandrivaLinux-System-FileTools" \
  --dir $RPM_BUILD_ROOT%{_datadir}/applications $RPM_BUILD_ROOT%{_datadir}/applications/*.desktop

%clean
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc README
%{_bindir}/*
%{_datadir}/applications/recoll-searchgui.desktop
%{_datadir}/pixmaps/recoll.png
%{_datadir}/%{name}
%{_iconsdir}/hicolor/48x48/apps/recoll.png
%{_mandir}/man1/recoll*
%{_mandir}/man5/recoll*
%{_libdir}/recoll/
%{_datadir}/appdata/recoll.appdata.xml
%{python_sitearch}/recoll/
%{python_sitearch}/Recoll-1.0-py%pyver.egg-info

%files -n kio-%{name}
%defattr(-,root,root)
%doc kde/kioslave/kio_recoll/00README.txt
%dir %{_datadir}/apps/kio_recoll
%{_libdir}/kde4/kio_recoll.so
%{_datadir}/apps/kio_recoll/help.html
%{_datadir}/apps/kio_recoll/welcome.html
%{_datadir}/kde4/services/recoll.protocol
%{_datadir}/kde4/services/recollf.protocol


%changelog
* Wed Aug 06 2014 bb <bb> 1.19.14p2-1pclos2014
- update

* Sat Aug 17 2013 billybot <billybot> 1.19.2-2pclos2013
- update python 2.7

* Sat May 18 2013 pinoc <vogtpet at gmail.com> 1.19.2-1pclos2013
- 1.19.2
- disabled ld_undefined

* Wed Feb 07 2013 TerryN <terryn94 at gmail.com> 1.18.1-3pclos2013
- don't require -devel packages

* Sat Feb 02 2013 TerryN <terryn94 at gmail.com> 1.18.1-2pclos2013
- Fix permissions on filter scripts
- Add missing BuildRequires python-devel

